summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Alexander Verbovetsky2023-01-06 03:50:36 +0100
committer Willy Sudiarto Raharjo2023-01-07 02:13:37 +0100
commitc4be83559e78b314dd131f9977de5cdf93d4ab63 (patch)
tree7b7959e8c7b4b415f09899a44b418680f714448a /academic
parent7da0520d03e6a13b3330fa3e4a106ef0d7969741 (diff)
downloadslackbuilds-c4be83559e78b314dd131f9977de5cdf93d4ab63.tar.gz
academic/WolframEngine: Added (Wolfram Language Engine)
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/WolframEngine/README10
-rw-r--r--academic/WolframEngine/WolframEngine.SlackBuild132
-rw-r--r--academic/WolframEngine/WolframEngine.info10
-rw-r--r--academic/WolframEngine/doinst.sh9
-rw-r--r--academic/WolframEngine/slack-desc19
5 files changed, 180 insertions, 0 deletions
diff --git a/academic/WolframEngine/README b/academic/WolframEngine/README
new file mode 100644
index 0000000000..d3830009fb
--- /dev/null
+++ b/academic/WolframEngine/README
@@ -0,0 +1,10 @@
+The free Wolfram Engine implements the Wolfram Language with interfaces
+suitable for use in software projects. The Wolfram Engine is the heart
+of Wolfram products such as Mathematica, Wolfram|One and Wolfram|Alpha.
+It is licensed for non-production use.
+
+The Wolfram Engine and Mathematica are the same core engine, but with a
+different interface and different licensing.
+
+The Wolfram Engine contains a program WolframScript for running the
+Wolfram Engine from a command line or script.
diff --git a/academic/WolframEngine/WolframEngine.SlackBuild b/academic/WolframEngine/WolframEngine.SlackBuild
new file mode 100644
index 0000000000..19a1e4a8fa
--- /dev/null
+++ b/academic/WolframEngine/WolframEngine.SlackBuild
@@ -0,0 +1,132 @@
+#!/bin/bash
+
+# Slackware build script for WolframEngine
+
+# Copyright 2023, Alexander Verbovetsky, Moscow, Russia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=WolframEngine
+VERSION=${VERSION:-13.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ ARCH="$( uname -m )"
+fi
+
+if [ "$ARCH" != "x86_64" ]; then
+ echo "Only x86_64 is supported."
+ exit 1
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+
+SCRIPT=$(find -L $CWD -maxdepth 1 -type f -name "*LINUX*")
+eval $(grep -a "^filesizes=" -m 1 $SCRIPT)
+eval $(grep -a "^MD5=" $SCRIPT)
+ssize=$(grep -a offset -m 1 $SCRIPT | sed 's/^.* \([0-9]\+\) .*$/\1/')
+((ssize++))
+tail +$ssize $SCRIPT | head -c $filesizes | tee >(tar x) \
+ | md5sum | grep $MD5 > /dev/null
+MDIR="/opt/$PRGNAM"
+mkdir -p $PKG$MDIR
+find -L Unix/Files -maxdepth 2 -type f -name "contents.tar.?z" \
+ -exec tar xvf '{}' -C $PKG$MDIR \;
+
+chown -R root:root $PKG$MDIR
+find -L $PKG$MDIR \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+for i in $(find -L $PKG$MDIR/Executables \
+ -maxdepth 1 -type f -printf "%f\n"); do
+ ln -s $MDIR/Executables/${i} $PKG/usr/bin
+done
+ln -s $MDIR/SystemFiles/Kernel/Binaries/Linux-x86-64/wolframscript \
+ $PKG/usr/bin
+
+mkdir -p $PKG/usr/share/mime/application
+cp -a $PKG$MDIR/SystemFiles/Installation/*.xml \
+ $PKG/usr/share/mime/application
+
+mkdir -p $PKG/usr/share/icons/hicolor/{32x32,64x64,128x128}/{apps,mimetypes}
+for i in 32 64 128; do
+cp -a $PKG$MDIR/SystemFiles/FrontEnd/SystemResources/X/App-$i.png \
+ $PKG/usr/share/icons/hicolor/${i}x${i}/apps/wolfram-wolframlanguage.png
+for m in $(basename -a \
+ $(ls $PKG$MDIR/SystemFiles/FrontEnd/SystemResources/X/vnd.wolfram.*${i}.png) \
+ | cut -d- -f1); do
+cp -a $PKG$MDIR/SystemFiles/FrontEnd/SystemResources/X/${m}-${i}.png \
+ $PKG/usr/share/icons/hicolor/${i}x${i}/mimetypes/application-${m}.png
+done
+done
+
+mkdir -p $PKG/usr/man/man1
+for i in $(find -L $PKG$MDIR/SystemFiles/SystemDocumentation/Unix \
+ -maxdepth 1 -type f -name "*.1" -printf "%f\n"); do
+gzip -9 -c $PKG$MDIR/SystemFiles/SystemDocumentation/Unix/${i} \
+ > $PKG/usr/man/man1/${i}.gz
+done
+
+INFO=$(find -L Unix/Files -maxdepth 2 -type f -name "info" -exec cat '{}' \+ \
+ | sort -u)
+CreationID=$(echo "$INFO" | grep "^CreationID" | awk '{print $2}')
+VersionNumber=$(echo "$INFO" | grep "^VersionNumber" | awk '{print $2}')
+ReleaseNumber=$(echo "$INFO" | grep "^ReleaseNumber" | awk '{print $2}')
+MinorReleaseNumber=$(echo "$INFO" | grep "^MinorReleaseNumber" \
+ | awk '{print $2}')
+FullVersionNumber="${VersionNumber}.${ReleaseNumber}.${MinorReleaseNumber}"
+
+echo "${CreationID}" > $PKG$MDIR/.CreationID
+echo "FullVersionNumber: ${FullVersionNumber}" > $PKG$MDIR/.Revision
+echo "CreationID: ${CreationID}" >> $PKG$MDIR/.Revision
+echo "${FullVersionNumber}" > $PKG$MDIR/.VersionID
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/academic/WolframEngine/WolframEngine.info b/academic/WolframEngine/WolframEngine.info
new file mode 100644
index 0000000000..772723e67d
--- /dev/null
+++ b/academic/WolframEngine/WolframEngine.info
@@ -0,0 +1,10 @@
+PRGNAM="WolframEngine"
+VERSION="13.1.0"
+HOMEPAGE="https://www.wolfram.com/engine/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://account.wolfram.com/download/public/wolfram-engine/13.1.0/desktop/LINUX"
+MD5SUM_x86_64="84ed2a4c1a275f00f65fb77f820734aa"
+REQUIRES=""
+MAINTAINER="Alexander Verbovetsky"
+EMAIL="alik@ejik.org"
diff --git a/academic/WolframEngine/doinst.sh b/academic/WolframEngine/doinst.sh
new file mode 100644
index 0000000000..1b37a9827f
--- /dev/null
+++ b/academic/WolframEngine/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/academic/WolframEngine/slack-desc b/academic/WolframEngine/slack-desc
new file mode 100644
index 0000000000..f064200dd5
--- /dev/null
+++ b/academic/WolframEngine/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+WolframEngine: WolframEngine (Wolfram Language Engine)
+WolframEngine:
+WolframEngine: The free Wolfram Engine implements the Wolfram Language with
+WolframEngine: interfaces suitable for use in software projects. The Wolfram Engine
+WolframEngine: is the heart of Wolfram products such as Mathematica, Wolfram|One
+WolframEngine: and Wolfram|Alpha. It is licensed for non-production use.
+WolframEngine:
+WolframEngine: The Wolfram Engine contains a program WolframScript for running the
+WolframEngine: Wolfram Engine from a command line or script.
+WolframEngine:
+WolframEngine: Homepage: https://www.wolfram.com/engine/